#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,br=1;
    cin>>n;

    vector<int> a;

    int del=2,n2=n;
    while(del<n)
    {
        if(n2%del==0)
        {
            a.push_back(del);
            n2=n2/del;
        }
        else
        {
            del++;
        }
    }

    /*for(int i=0;i<a.size();i++)
    {
        cout<<a[i]<<endl;
    }*/

    br+= (a.size()+1)*a.size()*(a.size()-1)/6;

    cout<<br;
}
